# Location provider set state

An action block that enables or disables a location provider.

The fiber will proceed immediately without pause.

Note! This feature isn’t officially supported, requires the privileged service since Android 4.2, may not work on all devices. On Android 9+ location provider is ignored, specific providers can’t be toggled.

## Input arguments

- State — whether to enable or disable the location provider.
- Location provider — location provider to toggle, default is GPS. (Android 8-)